V2.0
get
/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/subjects/{subjectId}/nextVisitAction
Retrieves the next visit action for the specified subject and also indicates whether rescreening can be initiated with the help of new field enableRescreen.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
CDBBCCDDEEFF11223344556677889900 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
DDEEFF00112233445566778899AABBCC
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Result containing the subject's next visit action and rescreen eligibility.
Root Schema : SubjectNextVisitActionResultDto20
Type:
Show Source
object-
enableRescreen: boolean
boolean indicating if a new rescreen visit can be initiated for the subjectExample:
true -
nextVisitAction: integer
(int32)
Next Visit Action will happen. Its values can be SCREEN_ENABLE, SCREEN_DISABLE, RANDOMIZE_ENABLE, RANDOMIZE_DISABLE, DISPENSE_ENABLE, DISPENSE_DISABLE, COMPLETE_STUDY_ENABLE, COMPLETE_STUDY_DISABLE
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object